Subject: [MORG] [Errata Verified] RFC5819 (5725)

From: RFC Errata System <[email-masked]>
Date: Mon, 20 May 2019 15:36:21 -0700 (PDT)

The following errata report has been verified for RFC5819,
"IMAP4 Extension for Returning STATUS Information in Extended LIST". 

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata/eid5725

--------------------------------------
Status: Verified
Type: Editorial

Reported by: Stan Kalisch <[email-masked]>
Date Reported: 2019-05-20
Verified by: Barry Leiba (IESG)

Section: 3

Original Text
-------------
3.  Examples

   C: A01 LIST "" % RETURN (STATUS (MESSAGES UNSEEN))
   S: * LIST () "."  "INBOX"
   S: * STATUS "INBOX" (MESSAGES 17 UNSEEN 16)
   S: * LIST () "." "foo"
   S: * STATUS "foo" (MESSAGES 30 UNSEEN 29)
   S: * LIST (\NoSelect) "." "bar"
   S: A01 OK List completed.

   The "bar" mailbox isn't selectable, so it has no STATUS reply.

   C: A02 LIST (SUBSCRIBED RECURSIVEMATCH)"" % RETURN (STATUS
      (MESSAGES))
   S: * LIST (\Subscribed) "."  "INBOX"
   S: * STATUS "INBOX" (MESSAGES 17)
   S: * LIST () "." "foo" (CHILDINFO ("SUBSCRIBED"))
   S: A02 OK List completed.

Corrected Text
--------------
3.  Examples

   C: A01 LIST "" % RETURN (STATUS (MESSAGES UNSEEN))
   S: * LIST () "." "INBOX"
   S: * STATUS "INBOX" (MESSAGES 17 UNSEEN 16)
   S: * LIST () "." "foo"
   S: * STATUS "foo" (MESSAGES 30 UNSEEN 29)
   S: * LIST (\NoSelect) "." "bar"
   S: A01 OK List completed.

   The "bar" mailbox isn't selectable, so it has no STATUS reply.

   C: A02 LIST (SUBSCRIBED RECURSIVEMATCH)"" % RETURN (STATUS
      (MESSAGES))
   S: * LIST (\Subscribed) "." "INBOX"
   S: * STATUS "INBOX" (MESSAGES 17)
   S: * LIST () "." "foo" (CHILDINFO ("SUBSCRIBED"))
   S: A02 OK List completed.

Notes
-----
Lines 141 and 152 each contain two spaces between ""."" and ""INBOX"" instead of one.  While I had the instinct to mark these as editorial, these sample server responses have also ended up in another RFC and two IDs (which were corrected before they became RFCs).  In any event, given that these responses also violate the ABNF, and given the RFC Ed.'s guideline on ambiguity, I'm just marking them as technical.  I'll leave it to others more familiar with the practical issues for various implementers to make the final determination on how to label them.

Please note:  a previously verified erratum (Errata ID 2072) addresses this same section; I've just left the corresponding error as is in this corrected text.

----- Verifier notes -----
Yes, this is an error: it comes from a combination of the RFC Editor style of double-spacing between sentences, the construction of the examples in XML in a manner that doesn't distinguish them from sentences, and the fact that it's nearly impossible to notice the situation when one is giving a final review.

Editorial, though, because it's in examples.  The ABNF is the authoritative place, and that's correct.

--------------------------------------
RFC5819 (draft-ietf-morg-status-in-list-01)
--------------------------------------
Title               : IMAP4 Extension for Returning STATUS Information in Extended LIST
Publication Date    : March 2010
Author(s)           : A. Melnikov, T. Sirainen
Category            : PROPOSED STANDARD
Source              : Message Organization
Area                : Applications
Stream              : IETF
Verifying Party     : IESG